#ifndef __CURSES_INPUT_H__
#define __CURSES_INPUT_H__

#include <memory>
#include "input.h"
#include "cursor.h"

class curses_input final: public input {
private:
        cursor *curse;
public:
        curses_input(cursor *new_curse);
        game_command get_command() override;
};

#endif
